<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/IR/IR.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.IR.IR</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../IR.html" >IR</a>
</div><div class="class-name">class IR

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/IR.py.html" target="detail">../Synopsis/IR.py</a></div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line12" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="IR-inheritance" src="IR-inheritance.png" hspace="8" vspace="8" border="0" usemap="#IR-inheritance_map" />
<map name="IR-inheritance_map"></map>
 <div class="doc">Top-level Internal Representation. This is essentially a dictionary
    of different representations such as Parse Tree&#44; Abstract Semantic Graph&#44; etc.
    </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <span class="name"><a href="IR.html#files" >files</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line20" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A dictionary mapping filenames to `SourceFile.SourceFile` instances.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="IR.html#asg" >asg</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line22" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The Abstract Semantic Graph.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="IR.html#sxr" >sxr</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line24" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The Source Cross-Reference SymbolTable.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="IR.html#__init__" >__init__</a></span>(<span class="variable">self</span>, <span class="variable">files</span> = <span class="value">None</span>, <span class="variable">asg</span> = <span class="value">None</span>, <span class="variable">sxr</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line17" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="IR.html#copy" >copy</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR.copy" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line27" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Make a shallow copy of this IR.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="IR.html#save" >save</a></span>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR.save" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line34" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="IR.html#merge" >merge</a></span>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR.merge" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line42" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Merges another IR.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Attributes Details:</div>
<div class="item"><div class="synopsis"> <a class="name" id="files">files</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line20" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A dictionary mapping filenames to `SourceFile.SourceFile` instances.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="asg">asg</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line22" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The Abstract Semantic Graph.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="sxr">sxr</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line24" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The Source Cross-Reference SymbolTable.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">files</span> = <span class="value">None</span>, <span class="variable">asg</span> = <span class="value">None</span>, <span class="variable">sxr</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line17" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Constructor</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="copy">copy</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR.copy" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line27" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Make a shallow copy of this IR.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="save">save</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR.save" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line34" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Saves an IR object to the given filename</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="merge">merge</a>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis.IR.IR.merge" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/IR.py.html#line42" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Merges another IR. Files and declarations are appended to those in
        this IR&#44; and types are merged by overwriting existing types -
        Unduplicator is responsible for sorting out the mess this may cause :&#41;</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:55 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
